/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model132
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model132 {
  @SerializedName("Description_of_items_claimed")
  private String descriptionOfItemsClaimed = null;

  @SerializedName("Expenses_incurred")
  private BigDecimal expensesIncurred = null;

  @SerializedName("Amount_reimbursed_by_other_companies")
  private BigDecimal amountReimbursedByOtherCompanies = null;

  @SerializedName("Amount_Claimed")
  private BigDecimal amountClaimed = null;

  public Model132 descriptionOfItemsClaimed(String descriptionOfItemsClaimed) {
    this.descriptionOfItemsClaimed = descriptionOfItemsClaimed;
    return this;
  }

   /**
   * Get descriptionOfItemsClaimed
   * @return descriptionOfItemsClaimed
  **/
  @ApiModelProperty(example = "test Description", value = "")
  public String getDescriptionOfItemsClaimed() {
    return descriptionOfItemsClaimed;
  }

  public void setDescriptionOfItemsClaimed(String descriptionOfItemsClaimed) {
    this.descriptionOfItemsClaimed = descriptionOfItemsClaimed;
  }

  public Model132 expensesIncurred(BigDecimal expensesIncurred) {
    this.expensesIncurred = expensesIncurred;
    return this;
  }

   /**
   * Get expensesIncurred
   * @return expensesIncurred
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getExpensesIncurred() {
    return expensesIncurred;
  }

  public void setExpensesIncurred(BigDecimal expensesIncurred) {
    this.expensesIncurred = expensesIncurred;
  }

  public Model132 amountReimbursedByOtherCompanies(BigDecimal amountReimbursedByOtherCompanies) {
    this.amountReimbursedByOtherCompanies = amountReimbursedByOtherCompanies;
    return this;
  }

   /**
   * Get amountReimbursedByOtherCompanies
   * @return amountReimbursedByOtherCompanies
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getAmountReimbursedByOtherCompanies() {
    return amountReimbursedByOtherCompanies;
  }

  public void setAmountReimbursedByOtherCompanies(BigDecimal amountReimbursedByOtherCompanies) {
    this.amountReimbursedByOtherCompanies = amountReimbursedByOtherCompanies;
  }

  public Model132 amountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
    return this;
  }

   /**
   * Get amountClaimed
   * @return amountClaimed
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getAmountClaimed() {
    return amountClaimed;
  }

  public void setAmountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model132 model132 = (Model132) o;
    return Objects.equals(this.descriptionOfItemsClaimed, model132.descriptionOfItemsClaimed) &&
        Objects.equals(this.expensesIncurred, model132.expensesIncurred) &&
        Objects.equals(this.amountReimbursedByOtherCompanies, model132.amountReimbursedByOtherCompanies) &&
        Objects.equals(this.amountClaimed, model132.amountClaimed);
  }

  @Override
  public int hashCode() {
    return Objects.hash(descriptionOfItemsClaimed, expensesIncurred, amountReimbursedByOtherCompanies, amountClaimed);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model132 {\n");
    
    sb.append("    descriptionOfItemsClaimed: ").append(toIndentedString(descriptionOfItemsClaimed)).append("\n");
    sb.append("    expensesIncurred: ").append(toIndentedString(expensesIncurred)).append("\n");
    sb.append("    amountReimbursedByOtherCompanies: ").append(toIndentedString(amountReimbursedByOtherCompanies)).append("\n");
    sb.append("    amountClaimed: ").append(toIndentedString(amountClaimed)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

